require "luaCsnd"

myvoid = luaCsnd.SWIGTYPE_p_void
mycsound = luaCsnd.csoundCreate(myvoid)
csound = luaCsnd.Csound()
args = luaCsnd.CsoundArgVList()

args_ = {"csound","-o", "dac", "tables.csd"}
for i,v in ipairs(args_) do
    args:Append(v)
end

result = csound:Compile(args.argc(args), args.argv(args))

mytab = 2
myindex = 0
myvalue = 0.00

if result == 0 then 
	 while csound:PerformKsmps()== 0 do
	while myindex < csound:TableLength(mytab) do
		csound:TableSet(mytab, myindex, myvalue)
		myvalue = 2*((myindex/csound:TableLength(mytab)) - math.floor((myindex/	csound:TableLength(mytab)) + 1/2)) --sawtooth shape
		myindex	= myindex + 1
		end
	end 
end 

csound:Reset()
args:Clear()


